/* FILE: simstate.cc             -*-Mode: c++-*-
 *
 * Simulation state class.
 *
 */

#include "simstate.h"
/* End includes */

// Constructor
Oxs_SimState::Oxs_SimState()
  : valid_state(0),last_timestep(0),elapsed_time(0),
    max_dm_dt(0),total_energy(0),
    iteration_count(0),stage_iteration_count(0),stage_number(0),
    Ms(NULL),Ms_inverse(NULL),mesh(NULL)
{}

//Destructor
Oxs_SimState::~Oxs_SimState()
{}
