/* FILE: region.h                 -*-Mode: c++-*-
 *
 * Abstract region class, derived from OXS extension class.
 *
 */

#ifndef _OXS_REGION
#define _OXS_REGION

#include "ext.h"
#include "util.h"
/* End includes */

class Oxs_Region:public Oxs_Ext {
protected:
  Oxs_Region(const char* name,      // Child instance id
	     Oxs_Director* newdtr); // App director
  Oxs_Region(const char* name,
	     Oxs_Director* newdtr,
             Tcl_Interp* safe_interp, // Safe interpreter
	     const char* argstr);   // MIF block argument string
public:
  virtual void GetExtents(Oxs_Box &mybox) const =0;
};


#endif // _OXS_REGION
